$win-border: green;
$win-bg: $success-light;
$loss-bg: $danger-light;

.pending-match-area > h2.heading:only-child {
  display: none;
}

.match-icon-loss,
.match-icon-win {
  display: inline-block;
  min-width: 1.25rem;
  text-align: center;
  vertical-align: middle;
  overflow: hidden;
  font-family: $family-monospace;
  text-align: center;
  font-size: 1em;
}

.match-control-box {
  &:not(:first-of-type) {
    margin-top: 6px;
  }
  border-top: 1px solid $border-light;
  box-shadow: $box-shadow;
}

.match-control-cell {
  padding: 2px !important;
}

.cup-groups {
  display: grid;
  grid-gap: 1.5rem;
  grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
  justify-content: center;
  justify-items: stretch;
}

.cup-group {
  margin: 0 !important;
}

.cup-groups-table {
  width: 100%;
  height: 100%;
  background: transparent;
  border: 0;
  table-layout: fixed;
  white-space: pre;

  > thead {
    border-bottom: 2px solid $border;
  }

  .cup-group-match[data-even-round="true"]
    + .cup-group-match[data-even-round="false"],
  .cup-group-match[data-even-round="false"]
    + .cup-group-match[data-even-round="true"] {
    border-top: 2px solid $border;
  }

  .cup-group-match {
    height: 0px;

    > td {
      border-top: 1px dashed $border;
      border-bottom: 1px dashed $border;
      &:nth-child(1) {
        border-left: 0;
      }
      &:nth-child(3) {
        border-right: 0;
      }
    }
    &:last-child > td {
      border-bottom: 0;
    }

    &[data-bye="true"] {
      .player-name {
        font-style: italic;
        padding-right: 2px;
      }
      sub {
        margin-left: -2px;
      }
    }

    td.cup-group-signup-high {
      text-align: right;
    }

    td.cup-group-score-high {
      border-right: 2px solid $border;
    }

    td.cup-group-score-high,
    td.cup-group-score-low {
      font-family: $family-monospace;
      text-align: center;
    }

    &[data-winner="high"] > td.cup-group-signup-high,
    &[data-winner="high"] > td.cup-group-score-high,
    &[data-winner="low"] > td.cup-group-signup-low,
    &[data-winner="low"] > td.cup-group-score-low {
      background: $success-light;
      box-shadow: 0 0 0 1px $success-invert inset;
    }

    &[data-winner="high"] > td.cup-group-signup-low,
    &[data-winner="high"] > td.cup-group-score-low,
    &[data-winner="low"] > td.cup-group-signup-high,
    &[data-winner="low"] > td.cup-group-score-high {
      background: $danger-light;
      box-shadow: 0 0 0 1px $danger-invert inset;
    }
  }

  .cup-group-signup {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .cup-group-match {
  }
}

.cup-groups-title {
  font-weight: bold;
  background: white;
  padding: 0.5em;
  border-top: 0;
  border-left: 0;
  border-right: 0;
  border-bottom: 1px solid #dbdbdb !important;
  text-align: center !important;
}

.cup-groups-round-title {
  border-bottom: 2px solid #dbdbdb !important;
  background: $white;
}

.cup-group-match-wrapper {
  position: relative;
}
.cup-group-rounds {
  display: grid;
  grid-template: auto / 1fr;
  grid-gap: 1em;
  align-items: center;
  padding-top: 0.5em;
  padding-bottom: 0.5em;
}

.cup-group-round {
  display: grid;
  grid-template: auto / 1fr;
  grid-gap: 0.5em;
  align-items: center;
  &:not(:first-child) {
    margin-top: -0.5em;
    padding-top: 0.5em;
    border-top: 2px solid #dbdbdb;
  }
}

.cup-group-match-bg-wrapper {
  top: -0.25em;
  left: 0;
  width: 100%;
  height: 100%;
  position: absolute;
  display: grid;
  grid-template: "r high low" auto / 1em 1fr 1fr;
}

.cup-group-match-bg {
  background: $win-bg;
  content: " ";
  display: block;
  width: 100%;
  height: 100%;
  padding: 1em;
  &[data-winner="high"] {
    grid-area: high;
  }
  &[data-winner="low"] {
    grid-area: low;
  }
}

.card-header-title > .cup-signup {
  margin: 0;
}
